gradle.projectsLoaded { g ->
    printf "Host: %s\nOS: %s %s %s\nJVM: %s %s %s %s\nGradle: %s Groovy: %s Java: %s\n" +
            "Build: group: %s name: %s version: %s\n",
            InetAddress.getLocalHost(),
            System.getProperty("os.name"),
            System.getProperty("os.arch"),
            System.getProperty("os.version"),
            System.getProperty("java.version"),
            System.getProperty("java.vm.version"),
            System.getProperty("java.vm.vendor"),
            System.getProperty("java.vm.name"),
            gradle.gradleVersion, GroovySystem.getVersion(), JavaVersion.current(),
            gradle.rootProject.group, gradle.rootProject.name, gradle.rootProject.version
}
